#
# $Header: /mit/wwwdev/dev/brlewis/RCS/httpd.conf,v 1.5 1996/05/14 14:14:15 brlewis Exp brlewis $
#
# See:
#	<http://www.w3.org/hypertext/WWW/Daemon/User/Config/Overview.html>
# for more information.
#

### general configuration

#
#    The hostname of the server.
#    ("web" otherwise thinks it's called "otisburg".)
#
HostName	joy.mit.edu

#
#    Set the port for server to listen to
#
Port	1111

#
#    UID and GID that the server tries to run as.
#
UserId	brlewis
# GroupId	www

#
# DNS Lookups
#
DNSLookups On

#
#    The server root directory.
#
ServerRoot	/afs/net/admin/www/root

#
#    PID of the running server.
#
PidFile		/usr/tmp/www/etc/httpd.pid

### logging

AccessLog	/usr/tmp/www/logs/access
ProxyAccessLog  /usr/tmp/www/logs/proxy
CacheAccessLog  /usr/tmp/www/logs/cachehit
ErrorLog	/usr/tmp/www/logs/error
#it's impossible to disable LogFileDateExt
LogFileDateExt	log
LogFormat	Common
LogTime		LocalTime

### paths

### access configuration

#
#	First, the subdirectory for WWW stuff in lockers.
#	Lockers are auto-accepted unless explicitly listed with "Fail" below.
#
UserDir		.
#
#       Protection setup by hosts; you can use both domain name
#       templates and IP number templates
#

Protection mit-mostly {
	ServerId        IsThisNecessary1
	Mask		@18.177.0.*
	ACLOverRide     on
}

Protection wellesley-mostly {
	ServerId        IsThisNecessary2
	Mask		@joy.mit.edu
	ACLOverRide     on
}

# Protect * mit-mostly

#
#	The URLs that we are willing to serve.
#	The first path is the request, the second is the translation (if any).
#	"Exec" means run the CGI script.
#	"Pass" means serve the document if local, proxy if not.
#	"Fail" means deny access.
#	"Redirect" means forward using "permanent relocation" response.
#	They are processed in order.
#
# binaries
Exec	/bin/*		/afs/net.mit.edu/admin/www/bin/*
Exec	/testbin/* /afs/athena.mit.edu/astaff/project/wwwdev/dev/brlewis/testbin/*

# AFS accesses
Pass	/afs/*
# documents in the root tree
Pass 	/activities/*	/afs/net.mit.edu/admin/www/root/activities/*
Pass 	/factbook/*	/afs/net.mit.edu/admin/www/root/factbook/*
Pass 	/general/*	/afs/net.mit.edu/admin/www/root/general/*
Pass 	/images/*	/afs/net.mit.edu/admin/www/root/images/*
Pass 	/temp/*		/afs/net.mit.edu/admin/www/root/temp/*
Pass    /network/*	/afs/net.mit.edu/admin/www/network/*
Pass    /icons/*	/afs/net.mit.edu/admin/www/icons/*
# documents in public AFS space
Pass	/activity/*	/afs/sipb.mit.edu/project/www/server/root/activities/*
Pass	/people/*	/afs/sipb.mit.edu/project/www/server/root/people/*
Pass	/course/*	/afs/athena.mit.edu/course/*
Pass	/dept/*		/afs/athena.mit.edu/dept/*
Pass	/user/*		/afs/athena.mit.edu/user/*
Pass	/org/*		/afs/athena.mit.edu/org/*
# fix a common user error...
Redirect //*		/*
Redirect /cfp96		http://www-swiss.ai.mit.edu/~switz/cfp96
Redirect /cfp96/	http://www-swiss.ai.mit.edu/~switz/cfp96/
# lockers
Pass	/~*		/~*
Pass	/*/*		/~*/*
# root directory
Pass    /*.html		/afs/net.mit.edu/admin/www/root/*.html
Pass    /*.gif		/afs/net.mit.edu/admin/www/root/*.gif
Pass    /*.GIF		/afs/net.mit.edu/admin/www/root/*.GIF
# Really short URL's, e.g. /edsp
Pass	/*		/~*
# proxied URLs
Pass	http:*
Pass	ftp:*
Pass	gopher:*
Pass	wais:*
# the following do nothing useful at all...
Fail	/etc/pass*
Fail	/usr/tmp/www/*
Fail	/tmp/*
Fail	/usr/tmp/*

### proxying

#
#	Enable caching, specify cache root directory, and cache size
#	in megabytes
#
Caching		On
CacheRoot	/usr/tmp/www/cache
CacheSize	16

#
#	Specify absolute maximum for caching time
#
CacheClean	*	1 week

#
#	Specify the maximum time to be unused
#
CacheUnused	http:*		2 weeks
CacheUnused	ftp:*		1 week
CacheUnused	gopher:*	1 week

#
#	Specify default expiry times for ftp and gopher;
#	NEVER specify it for HTTP, otherwise documents generated by
#	scripts get cached which is usually a bad thing.
#
CacheDefaultExpiry	ftp:*		10 days
CacheDefaultExpiry	gopher:*	2 days

#
#	Garbage collection controls; daily garbage collection at 3am;
#
Gc		On
GcDailyGc	3:00

#
#	Content types.
#
AddType	.hqx	application/mac-binhex40	8bit
AddType	.rtf	application/rtf			7bit
AddType .msw	application/msword		8bit
AddType .ppt	application/x-powerpoint	8bit
AddType	*	text/plain			7bit
